org.apache.jmeter.gui.util

## Class IconToolbarBean

- java.lang.Object
- - org.apache.jmeter.gui.util.IconToolbarBean

-     public final class IconToolbarBean
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActionName()`
    `java.lang.String` | `getActionNameResolve()` Resolve action name ID declared in icon set file to ActionNames value
    `java.lang.String` | `getI18nKey()`
    `java.lang.String` | `getIconPath()`
    `java.lang.String` | `getIconPathPressed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getActionNameResolve

          public java.lang.String getActionNameResolve()

      Resolve action name ID declared in icon set file to ActionNames value
      Returns:
        the resolve actionName

    - #### getI18nKey

          public java.lang.String getI18nKey()

      Returns:
        the i18nKey

    - #### getActionName

          public java.lang.String getActionName()

      Returns:
        the actionName

    - #### getIconPath

          public java.lang.String getIconPath()

      Returns:
        the iconPath

    - #### getIconPathPressed

          public java.lang.String getIconPathPressed()

      Returns:
        the iconPathPressed

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.